### File

`packages/components/eui-card/services/ui-state.service.ts`

### Description

Interface defining the UI state properties for card components.

### Index

###### Properties
hasLeftExpander isCollapsed isCollapsible isUrgent

### Properties

hasLeftExpander
`hasLeftExpander: `boolean``
Type : `boolean`
Whether the card has a left-side expander control

isCollapsed
`isCollapsed: `boolean``
Type : `boolean`
Whether the card is currently in collapsed state

isCollapsible
`isCollapsible: `boolean``
Type : `boolean`
Whether the card can be collapsed/expanded

isUrgent
`isUrgent: `boolean``
Type : `boolean`
Whether the card displays urgent styling

# results matching ""

# No results matching ""